leader-ortho
Noticed that the leader does not recognize "ortho" (F8).....anyone else, am I missing something with this version 8.2.5 released today?
Comments
-
yes, on the fly ORTHO does not work in a LEADER command
0 -
That's a change, then, and not for the better. Most people use ortho for the second part of the leader only, which I can do in v8.1.6 just by hitting F8 after picking the second point.
0 -
This is indeed a regression, introduced while rewriting the leader command. Today we have extended our automated tests for the leader command to verify that on-the-fly ORTHO switching works OK, and we also applied a fix which will be included in our next update release. Part of our ongoing work in 2008 is to complete the rewrite of all old command implementations and migrate them to a new architecture which allows easier maintenance and extension, as well as fully automated testing. This process unfortunately goes accompanied with an occasional regression, no matter how hard we try to avoid it.We sincerely apologize for this inconvenience and hope for your understanding: we are working towards creating fully automatically testable Bricscad software, precisely to avoid any further annoying regressions.Kind regards,Hans De Backer
0 -
keep up the good work.
0 -
I suppose for the most part all the developers here is what's going wrong-like most of us and our disciplines. If I don't hear anything I figure all is O.K. It's a work in progress and I'm thrilled it's available.Thanks to everyone for all the work in bringing this excellent package to my world. jc
0 -
I agree, after a little getting used to and some timely repairs, V8 has some nice improvements.I hadn't noticed the ortho/leader problem as I use the lisp below - for me it shortens the process to picking 3 points only and in reverse order as I find that places leaders more often where I want first time.(Defun c:mylead ()(SETVAR "ORTHOMODE" 0)(setq a (getpoint "\nPick Leader End Point: ") b (getpoint a "\nPick Leader Start Point: "))(SETVAR "ORTHOMODE" 1)(IF (NOT (setq c (getpoint a)))(SETQ C A))(SETVAR "ORTHOMODE" 1)(command "leader" b a c "" "" "n")(SETVAR "ORTHOMODE" 0))
0 -
Great idea, John! I've been wishing for a better leader for many years, but never did anything about it. Thanks for sharing that.I made a revised version that starts at the text location, with osnap off and ortho on, then picks the turning point, then turns osnap on and ortho off to pick the arrow point, and then restores both settings. In case anyone's interested:(Defun c:ldr ()(setq SM1 (getvar "OSMODE"))(setvar "OSMODE" 0)(setq OM1 (getvar "ORTHOMODE"))(setvar "ORTHOMODE" 1)(setq a (getpoint "\nPick leader start point: "))(setq b (getpoint a "...pick turning point: "))(command "line" a b "")(setvar "OSMODE" SM1)(setvar "ORTHOMODE" 0)(setq c (getpoint b "...pick end point: "))(setvar "ORTHOMODE" OM1)(command "erase" "l" "")(command "leader" c b a "" "" "n")(princ))
0 -
Version 8.2.6 is released, which fixes the on the fly ortho in the LEADER command.
0